From 0144620d2de75d321e5273416fdab5df671b92f0 Mon Sep 17 00:00:00 2001
From: Julien Rouhaud <julien.rouhaud@free.fr>
Date: Sat, 11 Nov 2023 17:11:35 +0800
Subject: [PATCH v1] Fix documentation for pg_stat_statements JIT
 deform_counter

Oversight in 5a3423ad8e.

Author: Julien Rouhaud
Reviewed-by: FIXME
Discussion: FIXME
---
 doc/src/sgml/pgstatstatements.sgml | 34 +++++++++++++++---------------
 1 file changed, 17 insertions(+), 17 deletions(-)

diff --git a/doc/src/sgml/pgstatstatements.sgml b/doc/src/sgml/pgstatstatements.sgml
index 6c7ca962f8..c604b1b0f0 100644
--- a/doc/src/sgml/pgstatstatements.sgml
+++ b/doc/src/sgml/pgstatstatements.sgml
@@ -442,74 +442,74 @@
 
      <row>
       <entry role="catalog_table_entry"><para role="column_definition">
-       <structfield>jit_deform_count</structfield> <type>bigint</type>
+       <structfield>jit_inlining_count</structfield> <type>bigint</type>
       </para>
       <para>
-       Total number of tuple deform functions JIT-compiled by the statement
+       Number of times functions have been inlined
       </para></entry>
      </row>
 
      <row>
       <entry role="catalog_table_entry"><para role="column_definition">
-       <structfield>jit_deform_time</structfield> <type>double precision</type>
+       <structfield>jit_inlining_time</structfield> <type>double precision</type>
       </para>
       <para>
-        Total time spent by the statement on JIT-compiling tuple deform
-        functions, in milliseconds
+       Total time spent by the statement on inlining functions, in milliseconds
       </para></entry>
      </row>
 
      <row>
       <entry role="catalog_table_entry"><para role="column_definition">
-       <structfield>jit_inlining_count</structfield> <type>bigint</type>
+       <structfield>jit_optimization_count</structfield> <type>bigint</type>
       </para>
       <para>
-       Number of times functions have been inlined
+       Number of times the statement has been optimized
       </para></entry>
      </row>
 
      <row>
       <entry role="catalog_table_entry"><para role="column_definition">
-       <structfield>jit_inlining_time</structfield> <type>double precision</type>
+       <structfield>jit_optimization_time</structfield> <type>double precision</type>
       </para>
       <para>
-       Total time spent by the statement on inlining functions, in milliseconds
+       Total time spent by the statement on optimizing, in milliseconds
       </para></entry>
      </row>
 
      <row>
       <entry role="catalog_table_entry"><para role="column_definition">
-       <structfield>jit_optimization_count</structfield> <type>bigint</type>
+       <structfield>jit_emission_count</structfield> <type>bigint</type>
       </para>
       <para>
-       Number of times the statement has been optimized
+       Number of times code has been emitted
       </para></entry>
      </row>
 
      <row>
       <entry role="catalog_table_entry"><para role="column_definition">
-       <structfield>jit_optimization_time</structfield> <type>double precision</type>
+       <structfield>jit_emission_time</structfield> <type>double precision</type>
       </para>
       <para>
-       Total time spent by the statement on optimizing, in milliseconds
+       Total time spent by the statement on emitting code, in milliseconds
       </para></entry>
      </row>
 
      <row>
       <entry role="catalog_table_entry"><para role="column_definition">
-       <structfield>jit_emission_count</structfield> <type>bigint</type>
+       <structfield>jit_deform_count</structfield> <type>bigint</type>
       </para>
       <para>
-       Number of times code has been emitted
+       Total number of tuple deform functions JIT-compiled by the statement
       </para></entry>
      </row>
 
      <row>
       <entry role="catalog_table_entry"><para role="column_definition">
-       <structfield>jit_emission_time</structfield> <type>double precision</type>
+       <structfield>jit_deform_time</structfield> <type>double precision</type>
       </para>
       <para>
-       Total time spent by the statement on emitting code, in milliseconds
+        Total time spent by the statement on JIT-compiling tuple deform
+        functions, in milliseconds
       </para></entry>
      </row>
     </tbody>
-- 
2.37.0

